package com.lacunasoftware.flutter.crosspki;

public class CrossPkiException extends Exception {

    private ErrorCodes code;

    CrossPkiException(ErrorCodes code, String message) {
        super(message);
        this.code = code;
    }

    CrossPkiException(ErrorCodes code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }

    public ErrorCodes getCode() {
        return code;
    }
}
